Skip to content

Get an e-signature request

GET
/signature-requests/{id}
curl --request GET \
--url https://app.buildworkpro.com/api/v1/signature-requests/1 \
--header 'Authorization: Bearer <token>'
id
required
integer

Signature request

Media type application/json
object
data
required
object
id
required
integer
entityType
required
string
Allowed values: bid change_order
entityId
required
integer
status
required
string
signerName
required
string | null
signerEmail
required
string | null
sentAt
required
Any of:
string format: date-time
signedAt
required
Any of:
string format: date-time
signedDocumentId
required
integer | null
signingUrl

Present only for callers holding signatures:send, and only while the request is pending or sent.

string | null
Example
{
"data": {
"entityType": "bid"
}
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}